# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api

class res_partner2(models.Model):
    _name = 'res.partner'
    _inherit = 'res.partner'
    _description = 'Add extra data of affiliates to Partner for SIS'

    #informacion referencias personales y comerciales
    ref_affiliate_ids = fields.One2many('res.partner','parent_id','Reference Afiliado', domain=[('active','=',True),('is_affiliate_reference','=',True)])
    #ref_comercial_ids = fields.Many2many('res.partner','rel_partner_ref_commercial','parent_id','partner_id',string='Commercial Reference',domain=[('active','=',True),('is_company','=',True)])
    is_affiliate_reference = fields.Boolean('Es una referencia afiliado', help="Maracr si el contacto es una referencia beneficiario")
    #is_commercial_reference = fields.Boolean('Is a Commercial Reference', help="Check if the contact is a commercial reference")
